﻿<div class="row form-group mt-4">
    <div class="col">
        <AutocompleteSearchCell @ref="_autocompleteSearchCell" />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label for="inputState">Grandeza</label>
        <select class="form-control" @bind="_selectedColumn">
            <option value="Temperature">Temperatura</option>
            <option value="Humidity">Umidade</option>
            <option value="UvRadiation">Radiação UV</option>
            <option value="Fire">Incêndio</option>
            <option value="Smoke">Fumaça</option>
            <option value="ToxicGas">Gases Tóxicos</option>
        </select>
    </div>

    <div class="col-sm-4">
        <label>Início</label>
        <input type="datetime-local" @bind="_startDateTime" class="form-control" />
    </div>

    <div class="col-sm-4">
        <label>Fim</label>
        <input type="datetime-local" @bind="_endDateTime" class="form-control" />
    </div>

</div>

<div class="row">
    <div class="col">
        <button class="btn btn-primary" @onclick="GetData">Ver Dados</button>
    </div>
</div>

@if (_loadingData)
{
    <div class="text-center w-100 mt-2">
        <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
            <span class="sr-only">Loading...</span>
        </div>
    </div>
}
else if (_noData)
{
    <div class="alert alert-danger mt-2" role="alert">
        Dados indisponíveis!
    </div>
}
else
{
    <div id="timeseries" class="mt-1"></div>
}